#### D.4.16.26 compareModules

Procedure from library `modules.lib` (see modules_lib).

Usage:
  compareModules(M,N); or M==N; compares two Modules up to isomorphism

Return:
  1 or 0, if the are ismomophic or aren't

Example:

    LIB "modules.lib";
    ring r;
    matrix ma[2][2]=x,y,x,y;
    Matrix m=ma;
    Module M=image(m);
    matrix na[2][1]=-y,x;
    Matrix n=na;
    M;
    ==> image | x y |
    ==>       | x y |
    ==>
    ==>
    Module N=image(n);
    N;
    ==> image | -y |
    ==>       | x  |
    ==>
    ==>
    N==M;
    ==> 0
    N=coker(n);
    N;
    ==> cokernel | -y |
    ==>          | x  |
    ==>
    ==>
    N==M;
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.